Documentation

Assets External Providers API


Assets External Providers API


Assets manager external providers API

Introduction

The Asset manager external providers API exposes endpoints to access functionality provided by external providers.
Download OpenAPI specification:

Geometric search


The endpoint will return the geometric search results from physna along with more information about the asset and the file.
Authorizations
ServiceAccount (ServiceAccount)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: ServiceAccount

Path parameters for "Geometric search"

projectId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the project where the asset belongs.

Request body for "Geometric search"

Media Type:
application/json

assetId

string
The id of the asset to search for

assetVersion

string
The version of the asset to search for

filePath

string
The path of the file within the asset to use for the search

providerRequest

object
The request to the external provider

includeFields

array[string]
example: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","systemMetadata.fieldName","datasets.*","datasets.name","datasets.isVisible","datasets.workflowName","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadURL","files.previewURL"]
The fields to be returned for the expanded asset, file and dataset

pagination

object
Represents the pagination information.

page

integer
The current search page.

pageSize

integer
The number of results per page.

HTTP response status codes for "Geometric search":

Code samples for "Geometric search":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "assetId": "string", "assetVersion": "string", "filePath": "string", "providerRequest": {}, "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "systemMetadata.fieldName", "datasets.*", "datasets.name", "datasets.isVisible", "datasets.workflowName", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadURL", "files.previewURL" ], "pagination": { "page": 0, "pageSize": 0 }}' \ "https://services.api.unity.com/assets/external/v1/providers/physna/types/geometric-search/projects/{projectId}"

Response example

{ "page": 0, "pageSize": 0, "results": [ { "organizationId": "string", "projectId": "string", "assetId": "string", "assetVersion": "string", "assetFilePath": "string", "providerResponse": null } ]}

Part search


The endpoint will return the part search results from physna along with more information about the asset and the file.
Authorizations
ServiceAccount (ServiceAccount)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: ServiceAccount

Path parameters for "Part search"

projectId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the project where the asset belongs.

Request body for "Part search"

Media Type:
application/json

assetId

string
The id of the asset to search for

assetVersion

string
The version of the asset to search for

filePath

string
The path of the file within the asset to use for the search

providerRequest

object
The request to the external provider

includeFields

array[string]
example: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","systemMetadata.fieldName","datasets.*","datasets.name","datasets.isVisible","datasets.workflowName","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadURL","files.previewURL"]
The fields to be returned for the expanded asset, file and dataset

pagination

object
Represents the pagination information.

page

integer
The current search page.

pageSize

integer
The number of results per page.

HTTP response status codes for "Part search":

Code samples for "Part search":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "assetId": "string", "assetVersion": "string", "filePath": "string", "providerRequest": {}, "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "systemMetadata.fieldName", "datasets.*", "datasets.name", "datasets.isVisible", "datasets.workflowName", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadURL", "files.previewURL" ], "pagination": { "page": 0, "pageSize": 0 }}' \ "https://services.api.unity.com/assets/external/v1/providers/physna/types/part-search/projects/{projectId}"

Response example

{ "page": 0, "pageSize": 0, "results": [ { "organizationId": "string", "projectId": "string", "assetId": "string", "assetVersion": "string", "assetFilePath": "string", "providerResponse": null } ]}

Image search


The endpoint will return the image search results from physna along with more information about the asset and the file.
Authorizations
ServiceAccount (ServiceAccount)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: ServiceAccount

Path parameters for "Image search"

projectId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the project where the asset belongs.

Request body for "Image search"

Media Type:
application/json

providerRequest

object
The request to the external provider

includeFields

array[string]
example: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","systemMetadata.fieldName","datasets.*","datasets.name","datasets.isVisible","datasets.workflowName","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadURL","files.previewURL"]
The fields to be returned for the expanded asset, file and dataset

pagination

object
Represents the pagination information.

page

integer
The current search page.

pageSize

integer
The number of results per page.

HTTP response status codes for "Image search":

Code samples for "Image search":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "providerRequest": {}, "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "systemMetadata.fieldName", "datasets.*", "datasets.name", "datasets.isVisible", "datasets.workflowName", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadURL", "files.previewURL" ], "pagination": { "page": 0, "pageSize": 0 }}' \ "https://services.api.unity.com/assets/external/v1/providers/physna/types/image-search/projects/{projectId}"

Response example

{ "page": 0, "pageSize": 0, "results": [ { "organizationId": "string", "projectId": "string", "assetId": "string", "assetVersion": "string", "assetFilePath": "string", "providerResponse": null } ]}

Image upload url


The endpoint will return the data needed to upload an image to use with the image search.
Authorizations
ServiceAccount (ServiceAccount)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: ServiceAccount

Path parameters for "Image upload url"

projectId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the project where the asset belongs.

Request body for "Image upload url"

Media Type:
application/json

providerRequest

object
The request to the external provider

HTTP response status codes for "Image upload url":

Code samples for "Image upload url":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "providerRequest": {}}' \ "https://services.api.unity.com/assets/external/v1/providers/physna/types/image-upload-url/projects/{projectId}"

Response example

{ "providerResponse": null}